Subject: Re: bug#5050: 23.1; efiff: Displaying bytes instead of characters in messages

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 20 Aug 2020 22:01:57 +0200

Eli Zaretskii <[email-masked]> writes:

> And anyway, Stephen just answered my question, and the diffs are
> displayed correctly with non-ASCII characters, not as raw bytes.  So
> there's more here than meets the eye.

They are, but the output in that buffer is just raw bytes -- no matter
whether the output is from stderr or stdout.  There must be a decoding
thing that takes place later, but I'm still looking for where that
happens.  (I'm wholly unfamiliar with the ediff code.)

When I've found that, the fix would be to apply whatever it's doing to
the error buffer, too...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no